Bug 498159 - An exception error occurred when using virt-manager to install guest
An exception error occurred when using virt-manager to install guest
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 03:46 EDT by Nan Zhang
Modified: 2009-12-14 16:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-10 08:19:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-manager.log for kvm (7.78 KB, text/plain)
2009-04-30 03:04 EDT, Nan Zhang
no flags Details

  None (edit)
Description Nan Zhang 2009-04-29 03:46:20 EDT
Description of problem:
Unable to complete install: 'internal error os type 'hvm' & arch 'x86_64' combination is not supported'
-----
Unable to complete install 'libvirt.libvirtError internal error os type 'hvm' & arch 'x86_64' combination is not supported
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 717, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.4/site-packages/virtinst/Guest.py", line 541, in start_install
    return self._do_install(consolecb, meter, removeOld, wait)
  File "/usr/lib/python2.4/site-packages/virtinst/Guest.py", line 633, in _do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.4/site-packages/libvirt.py", line 974, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error os type 'hvm' & arch 'x86_64' combination is not supported
'
-----

Version-Release number of selected component (if applicable):
libvirt-0.6.3-2.el5
virt-manager-0.6.1-1.el5

How reproducible:
Always

Steps to Reproduce:
1. Use virt-manager or virt-install to create a new guest domain
2. Press 'Finish' button to install VM
  
Actual results:
An exception error occurs.

Expected results:
No errors

Additional info:
Both Xen and KVM has this issue.
Comment 1 Cole Robinson 2009-04-29 08:05:13 EDT
Please provide ~/.virt-manager/virt-manager.log, and the output of 'virsh capabilities' for xen and kvm.
Comment 2 Nan Zhang 2009-04-30 03:04:21 EDT
Created attachment 341876 [details]
virt-manager.log for kvm

I retest this issue on Xen, but it cannot be reproduced:(. So I caught the log on kvm, the output of 'virsh capabilities' for kvm:

<capabilities>

  <host>
    <cpu>
      <arch>x86_64</arch>
    </cpu>
    <topology>
      <cells num='1'>
        <cell id='0'>
          <cpus num='2'>
            <cpu id='0'/>
            <cpu id='1'/>
          </cpus>
        </cell>
      </cells>
    </topology>
  </host>

  <guest>
    <os_type>hvm</os_type>
    <arch name='i686'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu</emulator>
      <machine>pc</machine>
      <machine>isapc</machine>
      <domain type='qemu'>
      </domain>
    </arch>
    <features>
      <pae/>
      <nonpae/>
      <acpi default='on' toggle='yes'/>
      <apic default='on' toggle='no'/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='ppc'>
      <wordsize>32</wordsize>
      <emulator>/usr/bin/qemu-system-ppc</emulator>
      <machine>g3bw</machine>
      <machine>mac99</machine>
      <machine>prep</machine>
      <domain type='qemu'>
      </domain>
    </arch>
  </guest>

</capabilities>
Comment 4 Daniel Berrange 2009-06-08 09:13:17 EDT
What RPM is providing those QEMU binaries ? The emulators should not be in any of the RHEL-5 trees AFAIK. Can you check what's installed and provide the output of

 rpm -qf /usr/bin/qemu
 rpm -qf /usr/bin/qemu-system-ppc
 rpm -q qemu
 rpm -q kvm
Comment 5 Nan Zhang 2009-06-09 08:54:37 EDT
Actually, this bug was reported on rhel-5.3 at that time. I retest this issue with the latest build on rhel-5.4, it's no longer reproduced. So I think it can be closed.


[root@dhcp-66-70-85 ~]# rpm -qf /usr/bin/qemu
error: file /usr/bin/qemu: No such file or directory
[root@dhcp-66-70-85 ~]# rpm -qf /usr/bin/qemu-system-ppc
error: file /usr/bin/qemu-system-ppc: No such file or directory
[root@dhcp-66-70-85 ~]# rpm -q qemu
package qemu is not installed
[root@dhcp-66-70-85 ~]# rpm -q kvm
kvm-83-69.el5ovirt

Note You need to log in before you can comment on or make changes to this bug.